import { BrowserRouter as Router, Routes,Route} from "react-router-dom"
import Users from "./pages/Users"
import Roles from "./pages/Roles"
import Main from "./pages/Main"
import NotFound from "./pages/NotFound"
import Navigate from "./components/Navigate"

function App() {
  return (
    <>
    <Navigate />
    <Router>
      <Routes>
        <Route index  path="/" element={ <Main />} />
        <Route path="/user" element={ <Users />} />
        <Route path="/role" element={ <Roles />} />
        <Route path="*" element={<NotFound />}/>
      </Routes>
    </Router>
    </>
  )
}

export default App