import { useState, useEffect, useMemo } from 'react';
export function useDataFetching<T> (url:string, initData:T):T{
  const [data, setData] = useState<T>(initData);
    
  useEffect(() => {
    const fetchData = async () => {
      const response = await fetch(url);
      const result = await response.json();
      setData(result);
    };

    fetchData();
  }, [url]);
  console.log(data)
  // Memoize the data value
  const memoizedData = useMemo<T>(() => data, [data]);
  return memoizedData;
};

export default useDataFetching;